Get GTI File Types

Prev Next

This URLs provides the GTI file types.

Resource URL

GET /domain/<domain_id>/filereputation/gti/filetypes

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

fileFormat

File format

StringList

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/filereputation/gti/filetypes

Response

    {
       "fileFormat":
       [
           "apk",
           "cpl",
           "drv",
           "exe",
           "ocx",
           "pdf",
           "scr",
           "sys"
       ]
    }

Error Information

Following error code is returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

1105

Invalid domain